from fastapi import APIRouter
from app.api.v1 import social, users, fleet, auth

api_router = APIRouter()

# Social (Providers, Voting, Competitions)
api_router.include_router(social.router, prefix="/social", tags=["Social & Providers"])
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])

# Users (Profile, Me)
api_router.include_router(users.router, prefix="/users", tags=["Users"])

api_router.include_router(fleet.router, prefix="/fleet", tags=["Fleet & Logistics"])